package com.iamberry.wechat.core.entity.cart;

import  java.util.Date;
import  java.io.Serializable;
/**
 *  结算赠品类
 * @author Administrator
 * @Date 2019-05-23
 */
public class SettlementGift  implements  Serializable{
    private static final long serialVersionUID = -1083848908128493893L;
    //结算赠品Id
    private Integer settGiftId;
    //满足颜色id
    private Integer settGiftFillColorId;
    //
    private Integer settGiftGiftColorId;
    //价格
    private Integer settGiftPrice;
    //赠送数量
    private Integer settGiftNum;
    //1.使用中 2.未使用
    private Integer settGiftStatus;
    //创建时间'
    private Date settGiftCreateTime;

    public Integer getSettGiftId(){
        return settGiftId;
    }

    public void setSettGiftId(Integer  settGiftId){
        this.settGiftId=settGiftId;
    }

    public Integer getSettGiftFillColorId(){
        return settGiftFillColorId;
    }

    public void setSettGiftFillColorId(Integer  settGiftFillColorId){
        this.settGiftFillColorId=settGiftFillColorId;
    }

    public Integer getSettGiftGiftColorId(){
        return settGiftGiftColorId;
    }

    public void setSettGiftGiftColorId(Integer  settGiftGiftColorId){
        this.settGiftGiftColorId=settGiftGiftColorId;
    }

    public Integer getSettGiftPrice(){
        return settGiftPrice;
    }

    public void setSettGiftPrice(Integer  settGiftPrice){
        this.settGiftPrice=settGiftPrice;
    }

    public Integer getSettGiftNum(){
        return settGiftNum;
    }

    public void setSettGiftNum(Integer  settGiftNum){
        this.settGiftNum=settGiftNum;
    }

    public Integer getSettGiftStatus(){
        return settGiftStatus;
    }

    public void setSettGiftStatus(Integer  settGiftStatus){
        this.settGiftStatus=settGiftStatus;
    }

    public Date getSettGiftCreateTime(){
        return settGiftCreateTime;
    }

    public void setSettGiftCreateTime(Date  settGiftCreateTime){
        this.settGiftCreateTime=settGiftCreateTime;
    }
}